<template>
  <div class="body_box">
    <div
      id="cesiumContainer"
      style="width: 100%; height: 100%; position: absolute"
    ></div>

    <menus></menus>
    <bottom-btn></bottom-btn>
    <top-btn></top-btn>
  </div>
</template>

<script lang="ts" setup>
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
//左侧菜单
import menus from "@/views/menus.vue";
//底部菜单
import bottomBtn from "@/components/bottomBtn.vue";
//顶部菜单
import topBtn from "@/components/topBtn.vue";

import InitMap from "@/assets/js/Map/index.js";

let map;
var viewer;
const init = () => {
  viewer = InitMap.Viewer;
  map = InitMap.sgworld;
};

onMounted(() => {
  InitMap.init3DMap();
  init();
});
</script>
<style lang="less" scoped>
.body_box {
  width: 100%;
  height: 100%;
  position: absolute;
}
</style>
